For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet email senders
      • POSTCreate email sender
      • PUTUpdate a sender
      • DELDelete a sender
      • PUTValidate a sender using OTP
      • GETGet all the dedicated IPs for your account
      • GETGet all the dedicated IPs for a specific sender
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsSenders

Update a sender

PUT
https://api.brevo.com/v3/senders/:senderId
PUT
/v3/senders/:senderId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.senders.updateSender(1, {
8 name: "New Support Team",
9 });
10}
11main();
Updates an existing email sender's configuration. Use this to: - Modify sender display name or email address - Update dedicated IP associations - Change sender configuration settings - Correct sender information Key information returned: - Success confirmation - Updated sender details
Was this page helpful?
Previous

Delete a sender

Next
Built with

Updates an existing email sender’s configuration.

Use this to:

  • Modify sender display name or email address
  • Update dedicated IP associations
  • Change sender configuration settings
  • Correct sender information

Key information returned:

  • Success confirmation
  • Updated sender details

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

senderIdlongRequired
Id of the sender

Request

sender's configuration to update
emailstringOptionalformat: "email"
From Email to update the sender
ipslist of objectsOptional

Only in case of dedicated IP. IPs to associate to the sender. If passed, will replace all the existing IPs. Not required for standard accounts.

namestringOptional
From Name to update the sender

Response

Sender updated successfully

Errors

400
Bad Request Error
404
Not Found Error